Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061467 - SELinux is preventing /usr/bin/patch from relabelfrom access on the file interdiff-1.unKmW2.oKuLaxZ
Summary: SELinux is preventing /usr/bin/patch from relabelfrom access on the file inte...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: bugzilla
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-04 21:47 UTC by Joel Uckelman
Modified: 2015-06-29 15:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:00:17 UTC


Attachments (Terms of Use)

Description Joel Uckelman 2014-02-04 21:47:00 UTC
Description of problem:

After setting 

  $interdiffbin = '/usr/bin/interdiff'

in /etc/bugzilla/localconfig, I see this SELinux denial:

[root@one selinux]# sealert -l 186e1958-b8cf-4e23-9a65-8edb636d4f95
SELinux is preventing /usr/bin/patch from relabelfrom access on the file interdiff-1.unKmW2.oKuLaxZ.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that patch should be allowed relabelfrom access on the interdiff-1.unKmW2.oKuLaxZ file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep patch /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp


Additional Information:
Source Context                system_u:system_r:httpd_bugzilla_script_t:s0
Target Context                system_u:object_r:httpd_bugzilla_tmp_t:s0
Target Objects                interdiff-1.unKmW2.oKuLaxZ [ file ]
Source                        patch
Source Path                   /usr/bin/patch
Port                          <Unknown>
Host                          one.vassalengine.org
Source RPM Packages           patch-2.7.1-7.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-119.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     one.vassalengine.org
Platform                      Linux one.vassalengine.org 3.12.8-300.fc20.x86_64
                              #1 SMP Thu Jan 16 01:07:50 UTC 2014 x86_64 x86_64
Alert Count                   1
First Seen                    2014-02-04 09:35:37 CET
Last Seen                     2014-02-04 09:35:37 CET
Local ID                      186e1958-b8cf-4e23-9a65-8edb636d4f95

Raw Audit Messages
type=AVC msg=audit(1391502937.337:4018): avc:  denied  { relabelfrom } for  pid=20873 comm="patch" name="interdiff-1.unKmW2.oKuLaxZ" dev="tmpfs" ino=265045 scontext=system_u:system_r:httpd_bugzilla_script_t:s0 tcontext=system_u:object_r:httpd_bugzilla_tmp_t:s0 tclass=file


type=SYSCALL msg=audit(1391502937.337:4018): arch=x86_64 syscall=lsetxattr success=no exit=EACCES a0=2672db0 a1=7fff243858e0 a2=2673ab0 a3=2a items=0 ppid=20870 pid=20873 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 ses=4294967295 tty=(none) comm=patch exe=/usr/bin/patch subj=system_u:system_r:httpd_bugzilla_script_t:s0 key=(null)

Hash: patch,httpd_bugzilla_script_t,httpd_bugzilla_tmp_t,file,relabelfrom



It looks like the current policy isn't expecting anyone to use interdiff.


Version-Release number of selected component (if applicable):

bugzilla-4.2.7-3.fc20.noarch
selinux-policy-3.12.1-119.fc20.noarch

How reproducible:

I'm not actually sure how to trigger this---it's something which was triggered by one of my users.

Comment 1 Fedora End Of Life 2015-05-29 10:48:46 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 15:00:17 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.